For the complete documentation index, see llms.txt. This page is also available as Markdown.

Отключение платежной связки

Метод позволяет отключить платежную связку. Вы больше не сможете подключать подписки и производить платежи по этой платежной связке

Отключение платежной связки

post
Header parameters
x-api-public-keystringOptional

Публичный API-ключ

x-api-signaturestringOptional

Подпись тела запроса приватным API-ключем

Content-typestringOptional

Тип тела запроса

Example: application/json
Body

Тело запроса для отключения платежной связки

idstringRequired

Идентификатор платежной свзяки

Example: 1db0ec64-8a2e-4bec-810a-be4bde21c412
merchantIdstringRequired

Идентификатор мерчанта

Example: 386fc09d-b4b8-4081-ae99-bf9710e80239
Responses
200Success
application/json

Успешный ответ

successbooleanRequired

Признак успешности запроса

post/api-gateway/recurrents/disable-subscriber-billing-link
POST /api-gateway/recurrents/disable-subscriber-billing-link HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "id": "1db0ec64-8a2e-4bec-810a-be4bde21c412",
  "merchantId": "386fc09d-b4b8-4081-ae99-bf9710e80239"
}
200Success
{
  "success": true,
  "response": {
    "id": "1db0ec64-8a2e-4bec-810a-be4bde21c412",
    "merchantId": "386fc09d-b4b8-4081-ae99-bf9710e80239",
    "currency": "USDT",
    "network": "ethereum",
    "status": "BLOCKED",
    "createdAt": "2026-01-29T11:14:13.710Z",
    "updatedAt": "2026-01-29T11:14:13.710Z"
  }
}

Last updated